> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finsei.com/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /v1/beneficiary/{id}



## OpenAPI

````yaml GET /v1/beneficiary/{id}
openapi: 3.1.0
info:
  title: Finsei API
  description: API documentation for Finsei
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.sandbox.finsei.com
security:
  - bearerAuth: []
paths:
  /v1/beneficiary/{id}:
    get:
      tags:
        - beneficiary
      summary: Get beneficiary by ID
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
          description: ID of the beneficiary
      responses:
        '200':
          description: Beneficiary data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Beneficiary'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
      security:
        - bearerAuth: []
components:
  schemas:
    Beneficiary:
      type: object
      properties:
        uuid:
          type: string
          description: Uuid of beneficiary
        name:
          type: string
          description: Beneficiary template name
          example: Aliaksandr
          maxLength: 255
        currency:
          type: string
          description: Currency
          example: EUR
          maxLength: 3
        bank_country:
          type: string
          description: 2-char code of country.⚠ REQUIRED if the currency is not EUR
          example: LT
          maxLength: 2
        iban:
          type: string
          description: IBAN number
          example: NL13RABO4448094871
          maxLength: 255
        bic_swift:
          type: string
          description: BIC\SWIFT number. ⚠ NOT REQUIRED if SEPA
          example: AGBLLT2X
        account_number:
          type: number
          description: ⚠ REQUIRED if the currency is GBP and bank_details_type is local
        sort_code:
          type: number
          description: ⚠ REQUIRED if the bank_details_type is local
        bank_details_type:
          type: string
          enum:
            - DEFAULT
            - LOCAL
        street:
          type: string
          description: Beneficiary address street. ⚠ REQUIRED if the currency is not EUR
          example: Gagarina street
          maxLength: 64
        house:
          type: string
          description: Beneficiary house number. ⚠ REQUIRED if the currency is not EUR
          example: 22
          maxLength: 32
        city:
          type: string
          description: Beneficiary city. ⚠ REQUIRED if the currency is not EUR
          example: London
          maxLength: 64
        country_id:
          type: string
          description: Alpha-2 country code. ⚠ REQUIRED if the currency is not EUR
          example: GB
        postal_code:
          type: string
          description: Beneficiary postal code. ⚠ REQUIRED if the currency is not EUR
          example: 10001
          maxLength: 32
        entity_type:
          type: string
          description: Entity type
          enum:
            - individual
            - company
          example: company
        company_name:
          type: string
          description: ⚠ REQUIRED if entity_type is 'company'
          example: Finsei Ltd.
          maxLength: 128
        first_name:
          type: string
          description: Beneficiary first name. ⚠ REQUIRED if entity_type is 'individual'
          example: Aliaksandr
          maxLength: 64
        last_name:
          type: string
          description: Beneficiary last name. ⚠ REQUIRED if entity_type is 'individual'
          example: Lastname
          maxLength: 64
      required:
        - walletId
        - iban
        - country
        - currency
        - entity_type
  responses:
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              name:
                type: string
                example: Unauthorized
              message:
                type: string
                example: Your request was made with invalid credentials.
              status:
                type: integer
                example: 401
    Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            type: object
            properties:
              name:
                type: string
                example: Forbidden
              message:
                type: string
                example: String
              status:
                type: integer
                example: 403
    NotFound:
      description: Not Found
      content:
        application/json:
          schema:
            type: object
            properties:
              name:
                type: string
                example: Not Found
              message:
                type: string
                example: The requested resource could not be found.
              status:
                type: integer
                example: 404
          example:
            status: ERROR
            error:
              code: 404
              message: Not Found
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````